# Softweb Solutions Inc
## IOT Connect SDK : Software Development Kit 1.0.0

**Prerequisite tools:**

1. Xcode : Minimum iOS 10.0 Compatible


**Installation :** 

1. Get the "IoTConnect.framework" and add in framework in iOS App Project 

    
**Usage :**

Import iOS library
```ios
#import <IoTConnect/IoTConnectSDK.h>
```

* Objective-C *

Define SDK object 
```ios
IoTConnectSDK *objectIoTSDK;
```

SDK Init Call
```ios
NSString *uniqueId=@"sdk001";
NSString *cpId=@"abcde1";
NSString *strEnv=@"poc”;// DEV ,STAGE ,POC ,QA ,PROD ,AVNETPOC
objectIoTSDK =[[IoTConnectSDK alloc] init: cpId : uniqueId : strEnv :^(id message) {
    /* Handle Cloud to Device message */
}];
```

Send sensor data call
```ios
NSArray *data=@[@{
		@"uniqueId":@"sdk001",
		@"time":@"2018-03-06T11:38:53.000Z",
		@"data":@{@"temperature":@"45",@"humidity":@"40"
	}
}];
```

Send Temperature and Humidity
```ios
[objIoTConnect SendData:data];
```


* Swift *

Define SDK object
```ios
var objectIoTConnect : IoTConnectSDK!
```

SDK Init Call
```ios
var uniqueId="sdk001"
var cpId="abcde1"
var strEnv="poc”// DEV  , STAGE  , poc  , QA  , PROD
objectIoTConnect = IoTConnectSDK(cpId, uniqueId, strEnv, { (message) in
	/* Handle Cloud to Device message */
})
```

Send sensor data call
```ios
var data=[[
	"uniqueId": "sdk001",
	"time": "2018-03-08T15:13:13.573Z", 
	"data": ["temperature": "45”,"humidity": "40"]
]] 
```

Send Temperature and Humidity
```ios
objectIoTConnect.sendData(data)
```
